summaryrefslogtreecommitdiffstats
path: root/tests/rm/f-1.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:11:47 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:11:47 +0000
commit758f820bcc0f68aeebac1717e537ca13a320b909 (patch)
tree48111ece75cf4f98316848b37a7e26356e00669e /tests/rm/f-1.sh
parentInitial commit. (diff)
downloadcoreutils-758f820bcc0f68aeebac1717e537ca13a320b909.tar.xz
coreutils-758f820bcc0f68aeebac1717e537ca13a320b909.zip
Adding upstream version 9.1.upstream/9.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'tests/rm/f-1.sh')
-rwxr-xr-xtests/rm/f-1.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/rm/f-1.sh b/tests/rm/f-1.sh
new file mode 100755
index 0000000..3045684
--- /dev/null
+++ b/tests/rm/f-1.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Test "rm -f" with a nonexistent file.
+
+# Copyright (C) 1997-2022 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/tests/init.sh"; path_prepend_ ./src
+print_ver_ rm
+
+mkdir -p d || framework_failure_
+
+rm -f d/no-such-file || fail=1
+
+Exit $fail